# $Revision: 1.49 $, $Date: 2011/03/31 18:11:20 $
Summary:	ULOGD - the Userspace Logging Daemon for iptables
Summary(pl.UTF-8):	Demon logujący w trybie użytkownika dla iptables
Name:		ulogd
Version:	1.24
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
# Source0-md5:	05b4ed2926b9a22aaeaf642917bbf8ff
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Patch0:		%{name}-includes.patch
Patch1:		%{name}-mysql.patch
Patch2:		%{name}-BASE.patch
URL:		http://netfilter.org/projects/ulogd/
BuildRequires:	autoconf
BuildRequires:	libpcap-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	sqlite3-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires:	iptables
#Requires:	kernel >= 2.4.0test9
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This packages is intended for passing packets from the kernel to
userspace to do some logging there. It should work like that:
- register a target called ULOG with netfilter
- if the target is hit:
  - send the packet out using netlink multicast facility
  - return NF_ACCEPT immediately.

%description -l pl.UTF-8
Ten pakiet ma służyć do wysyłania pakietów z jądra do przestrzeni
użytkownika w celu logowania. Powinien działać tak:
- zarejestrować w netfilterze cel o nazwie ULOG
- jeżeli cel został osiągnięty:
  - wysłać pakiet poprzez netlink
  - zwrócić natychmiast NF_ACCEPT.

%package mysql
Summary:	MySQL plugin for ulogd
Summary(pl.UTF-8):	Wtyczka MySQL dla ulogd
Group:		Networking/Daemons
Obsoletes:	iptables-ulogd-mysql

%description mysql
MySQL plugin for ulogd.

%description mysql -l pl.UTF-8
Wtyczka MySQL dla ulogd.

%package pgsql
Summary:	PostgreSQL plugin for ulogd
Summary(pl.UTF-8):	Wtyczka PostgreSQL dla ulogd
Group:		Networking/Daemons

%description pgsql
PostgreSQL plugin for ulogd.

%description pgsql -l pl.UTF-8
Wtyczka PostgreSQL dla ulogd.

%package sqlite
Summary:	SQLite plugin for ulogd
Summary(pl.UTF-8):	Wtyczka SQLite dla ulogd
Group:		Networking/Daemons

%description sqlite
SQLite plugin for ulogd.

%description sqlite -l pl.UTF-8
Wtyczka SQLite dla ulogd.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%if "%{_lib}" != "lib"
sed -e 's@lib/@%{_lib}/@g' -i configure.in
%endif

%{__autoconf}
%configure \
	--with-mysql \
	--with-pgsql \
	--with-sqlite3
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/{sysconfig,logrotate.d,rc.d/init.d,ulogd}} \
	$RPM_BUILD_ROOT/var/log

%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ulogd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ulogd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/ulogd
install -D %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8

touch $RPM_BUILD_ROOT/var/log/ulogd{,.pktlog}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/ulogd ]; then
	touch /var/log/ulogd{,.pktlog}
	chmod 640 /var/log/ulogd{,.pktlog}
fi

/sbin/chkconfig --add ulogd
%service ulogd restart "ulogd daemon"

%preun
if [ "$1" = "0" ]; then
	%service ulogd stop
	/sbin/chkconfig --del ulogd
fi

%files
%defattr(644,root,root,755)
%doc Changes doc/*.{ps,txt,html}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ulogd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ulogd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ulogd
%attr(750,root,root) %dir %{_sysconfdir}/ulogd
%attr(754,root,root) /etc/rc.d/init.d/ulogd

%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/ulogd
%attr(755,root,root) %{_libdir}/ulogd/ulogd_[BLO]*.so
%attr(755,root,root) %{_libdir}/ulogd/ulogd_PCAP*.so
%attr(755,root,root) %{_libdir}/ulogd/ulogd_PWSNIFF*.so
%attr(755,root,root) %{_libdir}/ulogd/ulogd_SYSLOG*.so

%attr(640,root,root) %ghost /var/log/*
%{_mandir}/man?/%{name}.*

%files mysql
%defattr(644,root,root,755)
%doc doc/mysql*
%attr(755,root,root) %{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%defattr(644,root,root,755)
%doc doc/pgsql*
%attr(755,root,root) %{_libdir}/ulogd/ulogd_PGSQL.so

%files sqlite
%defattr(644,root,root,755)
%doc doc/sqlite*
%attr(755,root,root) %{_libdir}/ulogd/ulogd_SQLITE3.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ulogd.spec,v $
Revision 1.49  2011/03/31 18:11:20  arekm
- release 5

Revision 1.48  2011/02/25 08:20:28  dzeus
- added ulogd-BASE.patch (thanx Dariusz Parciak)

Revision 1.47  2010/04/20 07:27:06  arekm
- release 3

Revision 1.46  2010/04/03 17:31:30  glen
- release 2

Revision 1.45  2008/02/08 00:02:41  undefine
- fixed

Revision 1.44  2007-11-25 13:54:56  paszczus
- new URL

Revision 1.43  2007-11-25 13:06:06  paszczus
- use -j1 for make and make install

Revision 1.42  2007-05-15 13:38:01  gotar
- PCAP output plugin

Revision 1.41  2007/05/15 13:31:53  gotar
- fixed mysql build, added PostgreSQL and SQLite plugins

Revision 1.40  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.38  2006/11/25 18:19:44  qboosh
- updated to 1.24

Revision 1.37  2006/07/26 15:56:36  glen
- remove extra unneeded slash

Revision 1.36  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.35  2006/03/13 23:14:32  glen
- use %service

Revision 1.34  2005/10/27 17:54:10  arekm
- rel 2

Revision 1.33  2005/07/21 14:34:39  darekr
- BR: sed 4.0

Revision 1.32  2005/05/17 00:34:11  zbyniu
- md5sum

Revision 1.30  2005/04/13 20:32:50  qboosh
- thinko

Revision 1.29  2005/04/10 10:21:47  undefine
- multiple instances support
- need testing - release 1.1

Revision 1.28  2005/04/09 15:06:00  undefine
- manual

Revision 1.27  2005/04/09 14:28:46  undefine
- use included example file as "base" conf.

Revision 1.26  2005/04/09 12:56:30  undefine
- todo

Revision 1.25  2005/04/09 12:39:23  undefine
- up to 1.22
- amd64 support (lame workaround, but.. works)

Revision 1.24  2005/02/23 17:44:27  qboosh
- added include patch (use system headers, not those from running kernel)
- missing dir, package SYSLOG module

Revision 1.23  2005/02/22 21:21:05  paszczus
- updated to 1.21

Revision 1.22  2004/09/23 10:59:03  kolodko
- added macros in /etc/logrotate.d

Revision 1.21  2003/11/04 23:00:40  qboosh
- updated to 1.02
- removed R: mysql from plugin - it can use remote database

Revision 1.20  2003/09/02 15:23:46  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.19  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.18  2003/05/28 13:02:28  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:27:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/03/07 23:56:41  areq
- 1.00

Revision 1.15  2003/01/12 01:57:42  qboosh
- 0.98
- more specific Requires

Revision 1.14  2002/06/02 22:46:50  areq
- remove DESTDIR.patch

Revision 1.13  2002/06/02 22:44:59  areq
- 0.97, STBR
- update src link
- add URL
- remove Requires sgmls*
- new %doc

Revision 1.12  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/03 14:25:58  qboosh
- run autoconf

Revision 1.10  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/19 15:24:59  qboosh
- pl translations, cosmetics

Revision 1.7  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.5  2001/06/15 16:07:46  baggins
- release 2
- prereq chkconfig

Revision 1.4  2001/05/21 19:44:37  baggins
- updated to 0.95

Revision 1.3  2001/03/09 18:53:04  baggins
- typo

Revision 1.2  2001/02/01 16:07:57  kloczek
- adapterized (gez .. %defattr() was missing :) and few cosmetics.

Revision 1.1  2001/02/01 16:54:21  baggins
- separated from iptables
